summaryrefslogtreecommitdiffstats
path: root/misc/tal/tal.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/tal/tal.SlackBuild')
-rw-r--r--misc/tal/tal.SlackBuild6
1 files changed, 2 insertions, 4 deletions
diff --git a/misc/tal/tal.SlackBuild b/misc/tal/tal.SlackBuild
index 9c2f639df4..4c0d35f707 100644
--- a/misc/tal/tal.SlackBuild
+++ b/misc/tal/tal.SlackBuild
@@ -9,12 +9,10 @@ VERSION=${VERSION:-1.9}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -36,9 +34,9 @@ elif [ "$ARCH" = "x86_64" ]; then
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
-fi
+fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT